
local zzlib = require("zzlib")

local result, names, err



-- unzip a named file from the named zip file
result, err = zzlib.unzipFile("hello.zip", "hello.txt")
print(result)



-- unzip all files contained in this zip file to the apps documents folder
zzlib.unzipToDocuments("multi.zip")



-- get list of files contained within zip file
names = zzlib.getNames("multi.zip")
print(#names .. " files")
for i = 1, #names do
  print(names[i])
end
